package 
{
	import controller.*;
	
	import org.puremvc.as3.patterns.facade.Facade;
	
	import view.Main;
	
	public class ApplicationFacade extends Facade
	{
		// Définition des noms de notification
		// -> notification de démarrage de l'application
		public static const STARTUP:String = "startup";
		
		public function ApplicationFacade()
		{
			super();
		}
		
		// Singleton instance
		public static function getInstance():ApplicationFacade
		{
			if (instance == null)
				instance = new ApplicationFacade();
			return instance as ApplicationFacade;
		}
		
		public function startup(app:view.Main):void
		{
			// distribution de la notification STARTUP avec la vue principale
			sendNotification(STARTUP, app);
	 	}
		
		protected override function initializeController():void
		{
			trace("initializeController: register commands");
			super.initializeController();
			
			// register commands
			registerCommand(STARTUP, ApplicationStartupCmd);
		}
	}
}